
# CUSTOMIZATION-BEGIN
# ovirt_build_extra_flags
# ovirt_build_ut
%if 0%{?ovirt_build_quick}
%global _ovirt_build_ut 0
%global ovirt_build_gwt 0
%global ovirt_build_locales 0
%global __jar_repack 0
%endif
%if 0%{?ovirt_build_minimal}
%global _ovirt_build_ut 0
%global ovirt_build_locales 0
%global _ovirt_build_extra_flags -D gwt.userAgent=gecko1_8
%endif
%if 0%{!?ovirt_build_ut:1}
%if 0%{?_ovirt_build_ut:1}
%global ovirt_build_ut %{_ovirt_build_ut}
%else
%global ovirt_build_ut 1
%endif
%endif
%if 0%{!?ovirt_build_gwt:1}
%global ovirt_build_gwt 1
%endif
%if 0%{!?ovirt_build_locales:1}
%global ovirt_build_locales 1
%endif
# CUSTOMIZATION-END

# unsign all provided jars
# see rhbz#1019637
%global _jarsign_opts --unsign=/usr/share/ovirt-engine

# rpm does not support override
# nor modify of variables
%if %{?_ovirt_build_extra_flags:1}%{?ovirt_build_extra_flags:1}0
%global EXTRA_BUILD_FLAGS %{?_ovirt_build_extra_flags:%{_ovirt_build_extra_flags}}%{?ovirt_build_extra_flags: %{ovirt_build_extra_flags}}
%endif

%if 0%{?fedora}
%global ovirt_install_systemd 1
%global ovirt_install_systemv 0
%global ovirt_install_poms 1
%global ovirt_require_maven 1
%endif

%if 0%{?rhel}
%global ovirt_install_systemd 0
%global ovirt_install_systemv 1
%global ovirt_install_poms 0
%global ovirt_require_maven 0
%endif

%if "%{dist}" == ".el6rhs"
%define _rhs_build 1
%endif

%define _rhs_build 1

%if !0%{?_rhs_build}
%global ovirt_product_name Red Hat Enterprise Virtualization Manager
%global ovirt_product_name_short RHEV-M
%global ovirt_product_group Virtualization/Management
%else
%global ovirt_product_name Red Hat Storage Console
%global ovirt_product_name_short RHS-C
%global ovirt_product_group Storage/Management
%endif
%global ovirt_user_description oVirt Manager

%global engine_cache %{_localstatedir}/cache/%{engine_name}
%global engine_data %{_datadir}/%{engine_name}
%global engine_doc %{_docdir}/%{engine_name}
%global engine_ear %{engine_data}/engine.ear
%global engine_etc %{_sysconfdir}/%{engine_name}
%global engine_java %{_javadir}/%{engine_name}
%global engine_jboss_modules %{engine_data}/modules
%global engine_log %{_localstatedir}/log/%{engine_name}
%global engine_name ovirt-engine
%global engine_pki %{_sysconfdir}/pki/%{engine_name}
%global engine_restapi_war %{engine_ear}/restapi.war
%global engine_run %{_localstatedir}/run/%{engine_name}
%global engine_state %{_localstatedir}/lib/%{engine_name}
%global engine_tmp %{_localstatedir}/tmp/%{engine_name}

%global engine_gid 108
%global engine_group ovirt
%global engine_uid 108
%global engine_user ovirt
%if !0%{?_rhs_build}
%global vdsm_description Node Virtualization Manager
%else
%global vdsm_description Node Storage Manager
%endif
%global vdsm_gid 36
%global vdsm_group kvm
%global vdsm_uid 36
%global vdsm_user vdsm

# Macro to create an user:
# %1 user name
# %2 user id
# %3 primary group name
# %4 primary group id
# %5 description
# %6 home directory
%global _ovirt_create_user() \
getent group %3 >/dev/null || groupadd -r -g %4 %3; \
getent passwd %1 >/dev/null || useradd -r -u %2 -g %3 -c %5 -s /sbin/nologin -d %6 %1

%global ovirt_create_user_engine \
%_ovirt_create_user %{engine_user} %{engine_uid} %{engine_group} %{engine_gid} "%{ovirt_user_description}" %{engine_state}

%global ovirt_create_user_vdsm \
%_ovirt_create_user %{vdsm_user} %{vdsm_uid} %{vdsm_group} %{vdsm_gid} "%{vdsm_description}" /var/lib/vdsm

%global make_common_opts \\\
	-j1 \\\
	BUILD_GWT=%{ovirt_build_gwt} \\\
	BUILD_LOCALES=%{ovirt_build_locales} \\\
	BUILD_UT=%{ovirt_build_ut} \\\
	PACKAGE_NAME=%{name} \\\
	RPM_VERSION=%{version} \\\
	RPM_RELEASE=%{release} \\\
	DISPLAY_VERSION=%{version}-%{release} \\\
	ENGINE_NAME=%{engine_name} \\\
	LOCALSTATE_DIR=%{_localstatedir} \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	BIN_DIR=%{_bindir} \\\
	PID_DIR=%{_localstatedir}/run \\\
	DATAROOT_DIR=%{_datadir} \\\
	MAN_DIR=%{_mandir} \\\
	DOC_DIR=%{_docdir} \\\
	PYTHON=%{__python} \\\
	PYTHON_DIR=%{python_sitelib} \\\
	JAVA_DIR=%{_javadir} \\\
	MAVENPOM_DIR=%{_mavenpomdir} \\\
	PKG_SYSCONF_DIR=%{engine_etc} \\\
	PKG_DOC_DIR=%{engine_doc} \\\
	PKG_EAR_DIR=%{engine_ear} \\\
	PKG_PKI_DIR=%{engine_pki} \\\
	PKG_JBOSS_MODULES=%{engine_jboss_modules} \\\
	PKG_CACHE_DIR=%{engine_cache} \\\
	PKG_LOG_DIR=%{engine_log} \\\
	PKG_TMP_DIR=%{engine_tmp} \\\
	PKG_STATE_DIR=%{engine_state} \\\
	PKG_USER=%{engine_user} \\\
	PKG_GROUP=%{engine_group} \\\
	MVN=true \\\
	JBOSS_HOME=/usr/share/jbossas \\\
	MAVEN_OUTPUT_DIR=%{_sourcedir} \\\
	%{?EXTRA_BUILD_FLAGS:EXTRA_BUILD_FLAGS="%{EXTRA_BUILD_FLAGS}"}

%if !0%{?_rhs_build}
Name:		rhevm
%else
Name:		rhsc
%endif
Version:	2.1.6
Release:	0.45%{?dist}
%if !0%{?_rhs_build}
Summary:	Management server for Open Virtualization
%else
Summary:	Management server for Storage
%endif
Group:		%{ovirt_product_group}
License:	ASL 2.0
%if !0%{?_rhs_build}
URL:		http://www.redhat.com/products/virtualization
%else
URL:		http://www.redhat.com/products/storage
%endif

# Acquire brew/mead pre-built resources.
Source0: root-2.1.0-scm-sources.zip
Source1: maven-metadata.xml.sha1
Source2: maven-metadata.xml.md5
Source3: maven-metadata.xml
Source4: maven-metadata.xml.sha1
Source5: maven-metadata.xml.md5
Source6: maven-metadata.xml
Source7: restapi-jaxrs-2.1.0-tests.jar
Source8: restapi-jaxrs-2.1.0-tests.jar.sha1
Source9: restapi-jaxrs-2.1.0.pom.sha1
Source10: restapi-jaxrs-2.1.0.jar.md5
Source11: restapi-jaxrs-2.1.0.jar
Source12: restapi-jaxrs-2.1.0.pom
Source13: restapi-jaxrs-2.1.0.jar.sha1
Source14: restapi-jaxrs-2.1.0.pom.md5
Source15: restapi-jaxrs-2.1.0-tests.jar.md5
Source16: maven-metadata.xml.sha1
Source17: maven-metadata.xml.md5
Source18: maven-metadata.xml
Source19: interface-2.1.0.pom.md5
Source20: interface-2.1.0.pom.sha1
Source21: interface-2.1.0.pom
Source22: maven-metadata.xml.sha1
Source23: maven-metadata.xml.md5
Source24: maven-metadata.xml
Source25: restapi-parent-2.1.0.pom.sha1
Source26: restapi-parent-2.1.0.pom.md5
Source27: restapi-parent-2.1.0.pom
Source28: maven-metadata.xml.sha1
Source29: maven-metadata.xml.md5
Source30: maven-metadata.xml
Source31: restapi-types-2.1.0.jar.sha1
Source32: restapi-types-2.1.0.jar
Source33: restapi-types-2.1.0.jar.md5
Source34: restapi-types-2.1.0-tests.jar.md5
Source35: restapi-types-2.1.0.pom
Source36: restapi-types-2.1.0-tests.jar.sha1
Source37: restapi-types-2.1.0-tests.jar
Source38: restapi-types-2.1.0.pom.md5
Source39: restapi-types-2.1.0.pom.sha1
Source40: maven-metadata.xml.sha1
Source41: maven-metadata.xml.md5
Source42: maven-metadata.xml
Source43: restapi-definition-2.1.0.pom.md5
Source44: restapi-definition-2.1.0-tests.jar.md5
Source45: restapi-definition-2.1.0.pom
Source46: restapi-definition-2.1.0.pom.sha1
Source47: restapi-definition-2.1.0.jar
Source48: restapi-definition-2.1.0.jar.md5
Source49: restapi-definition-2.1.0-tests.jar.sha1
Source50: restapi-definition-2.1.0-tests.jar
Source51: restapi-definition-2.1.0.jar.sha1
Source52: maven-metadata.xml.sha1
Source53: maven-metadata.xml.md5
Source54: maven-metadata.xml
Source55: common-parent-2.1.0.pom.sha1
Source56: common-parent-2.1.0.pom
Source57: common-parent-2.1.0.pom.md5
Source58: maven-metadata.xml.sha1
Source59: maven-metadata.xml.md5
Source60: maven-metadata.xml
Source61: restapi-webapp-2.1.0.pom.sha1
Source62: restapi-webapp-2.1.0.war.md5
Source63: restapi-webapp-2.1.0.war.sha1
Source64: restapi-webapp-2.1.0.pom.md5
Source65: restapi-webapp-2.1.0.pom
Source66: restapi-webapp-2.1.0.war
Source67: maven-metadata.xml.sha1
Source68: maven-metadata.xml.md5
Source69: maven-metadata.xml
Source70: interface-common-jaxrs-2.1.0.jar.sha1
Source71: interface-common-jaxrs-2.1.0.pom
Source72: interface-common-jaxrs-2.1.0-tests.jar
Source73: interface-common-jaxrs-2.1.0-tests.jar.sha1
Source74: interface-common-jaxrs-2.1.0.jar.md5
Source75: interface-common-jaxrs-2.1.0.pom.md5
Source76: interface-common-jaxrs-2.1.0.pom.sha1
Source77: interface-common-jaxrs-2.1.0.jar
Source78: interface-common-jaxrs-2.1.0-tests.jar.md5
Source79: maven-metadata.xml.sha1
Source80: maven-metadata.xml.md5
Source81: maven-metadata.xml
Source82: frontend-2.1.0-tests.jar.sha1
Source83: frontend-2.1.0.pom.sha1
Source84: frontend-2.1.0.jar
Source85: frontend-2.1.0.pom.md5
Source86: frontend-2.1.0.jar.sha1
Source87: frontend-2.1.0-tests.jar
Source88: frontend-2.1.0-tests.jar.md5
Source89: frontend-2.1.0.jar.md5
Source90: frontend-2.1.0.pom
Source91: maven-metadata.xml.sha1
Source92: maven-metadata.xml.md5
Source93: maven-metadata.xml
Source94: uicompat-2.1.0-tests.jar
Source95: uicompat-2.1.0.jar.sha1
Source96: uicompat-2.1.0.pom.sha1
Source97: uicompat-2.1.0.jar
Source98: uicompat-2.1.0.pom
Source99: uicompat-2.1.0-tests.jar.md5
Source100: uicompat-2.1.0.jar.md5
Source101: uicompat-2.1.0-tests.jar.sha1
Source102: uicompat-2.1.0.pom.md5
Source103: maven-metadata.xml.sha1
Source104: maven-metadata.xml.md5
Source105: maven-metadata.xml
Source106: uicommonweb-2.1.0-tests.jar
Source107: uicommonweb-2.1.0.pom.sha1
Source108: uicommonweb-2.1.0-tests.jar.md5
Source109: uicommonweb-2.1.0.jar
Source110: uicommonweb-2.1.0-tests.jar.sha1
Source111: uicommonweb-2.1.0-sources.jar
Source112: uicommonweb-2.1.0.jar.sha1
Source113: uicommonweb-2.1.0.pom.md5
Source114: uicommonweb-2.1.0.pom
Source115: uicommonweb-2.1.0-sources.jar.sha1
Source116: uicommonweb-2.1.0.jar.md5
Source117: uicommonweb-2.1.0-sources.jar.md5
Source118: maven-metadata.xml.sha1
Source119: maven-metadata.xml.md5
Source120: maven-metadata.xml
Source121: webadmin-modules-2.1.0.pom.md5
Source122: webadmin-modules-2.1.0.pom
Source123: webadmin-modules-2.1.0.pom.sha1
Source124: maven-metadata.xml.sha1
Source125: maven-metadata.xml.md5
Source126: maven-metadata.xml
Source127: gwt-common-2.1.0.jar
Source128: gwt-common-2.1.0-tests.jar
Source129: gwt-common-2.1.0.pom.md5
Source130: gwt-common-2.1.0.pom.sha1
Source131: gwt-common-2.1.0-tests.jar.md5
Source132: gwt-common-2.1.0.pom
Source133: gwt-common-2.1.0.jar.md5
Source134: gwt-common-2.1.0-tests.jar.sha1
Source135: gwt-common-2.1.0.jar.sha1
Source136: maven-metadata.xml.sha1
Source137: maven-metadata.xml.md5
Source138: maven-metadata.xml
Source139: webadmin-all-2.1.0.pom
Source140: webadmin-all-2.1.0.pom.sha1
Source141: webadmin-all-2.1.0.pom.md5
Source142: maven-metadata.xml.sha1
Source143: maven-metadata.xml.md5
Source144: maven-metadata.xml
Source145: gwt-extension-2.1.0.jar.md5
Source146: gwt-extension-2.1.0-tests.jar.sha1
Source147: gwt-extension-2.1.0.jar
Source148: gwt-extension-2.1.0.pom.md5
Source149: gwt-extension-2.1.0.pom
Source150: gwt-extension-2.1.0-sources.jar.sha1
Source151: gwt-extension-2.1.0-tests.jar.md5
Source152: gwt-extension-2.1.0-sources.jar
Source153: gwt-extension-2.1.0.pom.sha1
Source154: gwt-extension-2.1.0-tests.jar
Source155: gwt-extension-2.1.0.jar.sha1
Source156: gwt-extension-2.1.0-sources.jar.md5
Source157: maven-metadata.xml.sha1
Source158: maven-metadata.xml.md5
Source159: maven-metadata.xml
Source160: frontend-all-2.1.0.pom.md5
Source161: frontend-all-2.1.0.pom
Source162: frontend-all-2.1.0.pom.sha1
Source163: maven-metadata.xml.sha1
Source164: maven-metadata.xml.md5
Source165: maven-metadata.xml
Source166: userportal-2.1.0.pom.md5
Source167: userportal-2.1.0.war.md5
Source168: userportal-2.1.0.war
Source169: userportal-2.1.0.pom
Source170: userportal-2.1.0.pom.sha1
Source171: userportal-2.1.0.war.sha1
Source172: maven-metadata.xml.sha1
Source173: maven-metadata.xml.md5
Source174: maven-metadata.xml
Source175: webadmin-2.1.0.war
Source176: webadmin-2.1.0.war.md5
Source177: webadmin-2.1.0.pom.md5
Source178: webadmin-2.1.0.pom
Source179: webadmin-2.1.0.war.sha1
Source180: webadmin-2.1.0.pom.sha1
Source181: maven-metadata.xml.sha1
Source182: maven-metadata.xml.md5
Source183: maven-metadata.xml
Source184: build-tools-root-2.1.0.pom.md5
Source185: build-tools-root-2.1.0.pom
Source186: build-tools-root-2.1.0.pom.sha1
Source187: maven-metadata.xml.sha1
Source188: maven-metadata.xml.md5
Source189: maven-metadata.xml
Source190: vdsbroker-2.1.0.jar.md5
Source191: vdsbroker-2.1.0.pom.sha1
Source192: vdsbroker-2.1.0.jar.sha1
Source193: vdsbroker-2.1.0-tests.jar.md5
Source194: vdsbroker-2.1.0-tests.jar.sha1
Source195: vdsbroker-2.1.0.pom.md5
Source196: vdsbroker-2.1.0.pom
Source197: vdsbroker-2.1.0-tests.jar
Source198: vdsbroker-2.1.0.jar
Source199: maven-metadata.xml.sha1
Source200: maven-metadata.xml.md5
Source201: maven-metadata.xml
Source202: scheduler-2.1.0-client.jar.md5
Source203: scheduler-2.1.0-client.jar
Source204: scheduler-2.1.0.pom.md5
Source205: scheduler-2.1.0.pom
Source206: scheduler-2.1.0.jar
Source207: scheduler-2.1.0.pom.sha1
Source208: scheduler-2.1.0-client.jar.sha1
Source209: scheduler-2.1.0.jar.md5
Source210: scheduler-2.1.0.jar.sha1
Source211: maven-metadata.xml.sha1
Source212: maven-metadata.xml.md5
Source213: maven-metadata.xml
Source214: tools-2.1.0-modules.zip
Source215: tools-2.1.0.jar.md5
Source216: tools-2.1.0-tests.jar.sha1
Source217: tools-2.1.0.pom.sha1
Source218: tools-2.1.0.pom.md5
Source219: tools-2.1.0.pom
Source220: tools-2.1.0-modules.zip.md5
Source221: tools-2.1.0-tests.jar
Source222: tools-2.1.0.jar.sha1
Source223: tools-2.1.0-tests.jar.md5
Source224: tools-2.1.0.jar
Source225: tools-2.1.0-modules.zip.sha1
Source226: maven-metadata.xml.sha1
Source227: maven-metadata.xml.md5
Source228: maven-metadata.xml
Source229: branding-2.1.0.pom.sha1
Source230: branding-2.1.0.jar.md5
Source231: branding-2.1.0-tests.jar.md5
Source232: branding-2.1.0.pom
Source233: branding-2.1.0.jar.sha1
Source234: branding-2.1.0.pom.md5
Source235: branding-2.1.0.jar
Source236: branding-2.1.0-tests.jar
Source237: branding-2.1.0-tests.jar.sha1
Source238: maven-metadata.xml.sha1
Source239: maven-metadata.xml.md5
Source240: maven-metadata.xml
Source241: utils-2.1.0-tests.jar.sha1
Source242: utils-2.1.0.pom.sha1
Source243: utils-2.1.0-modules.zip.sha1
Source244: utils-2.1.0.pom.md5
Source245: utils-2.1.0-tests.jar
Source246: utils-2.1.0.jar.md5
Source247: utils-2.1.0.jar
Source248: utils-2.1.0-modules.zip
Source249: utils-2.1.0-tests.jar.md5
Source250: utils-2.1.0.jar.sha1
Source251: utils-2.1.0-modules.zip.md5
Source252: utils-2.1.0.pom
Source253: maven-metadata.xml.sha1
Source254: maven-metadata.xml.md5
Source255: maven-metadata.xml
Source256: bll-2.1.0.jar.sha1
Source257: bll-2.1.0.jar.md5
Source258: bll-2.1.0.pom.sha1
Source259: bll-2.1.0-client.jar.sha1
Source260: bll-2.1.0.jar
Source261: bll-2.1.0.pom
Source262: bll-2.1.0.pom.md5
Source263: bll-2.1.0-client.jar.md5
Source264: bll-2.1.0-client.jar
Source265: maven-metadata.xml.sha1
Source266: maven-metadata.xml.md5
Source267: maven-metadata.xml
Source268: searchbackend-2.1.0.pom.md5
Source269: searchbackend-2.1.0-modules.zip.md5
Source270: searchbackend-2.1.0-sources.jar.md5
Source271: searchbackend-2.1.0.jar.md5
Source272: searchbackend-2.1.0.pom.sha1
Source273: searchbackend-2.1.0-tests.jar.sha1
Source274: searchbackend-2.1.0.pom
Source275: searchbackend-2.1.0.jar.sha1
Source276: searchbackend-2.1.0-tests.jar.md5
Source277: searchbackend-2.1.0-sources.jar.sha1
Source278: searchbackend-2.1.0-modules.zip
Source279: searchbackend-2.1.0-modules.zip.sha1
Source280: searchbackend-2.1.0-sources.jar
Source281: searchbackend-2.1.0.jar
Source282: searchbackend-2.1.0-tests.jar
Source283: maven-metadata.xml.sha1
Source284: maven-metadata.xml.md5
Source285: maven-metadata.xml
Source286: manager-2.1.0.pom
Source287: manager-2.1.0.pom.sha1
Source288: manager-2.1.0.pom.md5
Source289: maven-metadata.xml.sha1
Source290: maven-metadata.xml.md5
Source291: maven-metadata.xml
Source292: dal-2.1.0-modules.zip.sha1
Source293: dal-2.1.0-modules.zip.md5
Source294: dal-2.1.0-tests.jar.sha1
Source295: dal-2.1.0.pom.sha1
Source296: dal-2.1.0.pom
Source297: dal-2.1.0.jar
Source298: dal-2.1.0-modules.zip
Source299: dal-2.1.0.jar.md5
Source300: dal-2.1.0.pom.md5
Source301: dal-2.1.0.jar.sha1
Source302: dal-2.1.0-tests.jar
Source303: dal-2.1.0-tests.jar.md5
Source304: maven-metadata.xml.sha1
Source305: maven-metadata.xml.md5
Source306: maven-metadata.xml
Source307: compat-2.1.0.jar.sha1
Source308: compat-2.1.0-tests.jar.sha1
Source309: compat-2.1.0-tests.jar.md5
Source310: compat-2.1.0.jar.md5
Source311: compat-2.1.0.pom.sha1
Source312: compat-2.1.0.jar
Source313: compat-2.1.0-sources.jar
Source314: compat-2.1.0.pom.md5
Source315: compat-2.1.0.pom
Source316: compat-2.1.0-modules.zip
Source317: compat-2.1.0-tests.jar
Source318: compat-2.1.0-modules.zip.sha1
Source319: compat-2.1.0-sources.jar.md5
Source320: compat-2.1.0-modules.zip.md5
Source321: compat-2.1.0-sources.jar.sha1
Source322: maven-metadata.xml.sha1
Source323: maven-metadata.xml.md5
Source324: maven-metadata.xml
Source325: backend-2.1.0.pom.md5
Source326: backend-2.1.0.pom.sha1
Source327: backend-2.1.0.pom
Source328: maven-metadata.xml.sha1
Source329: maven-metadata.xml.md5
Source330: maven-metadata.xml
Source331: manager-modules-2.1.0.pom
Source332: manager-modules-2.1.0.pom.sha1
Source333: manager-modules-2.1.0.pom.md5
Source334: maven-metadata.xml.sha1
Source335: maven-metadata.xml.md5
Source336: maven-metadata.xml
Source337: common-2.1.0.jar.sha1
Source338: common-2.1.0-tests.jar
Source339: common-2.1.0.jar
Source340: common-2.1.0.pom.md5
Source341: common-2.1.0-sources.jar.sha1
Source342: common-2.1.0.jar.md5
Source343: common-2.1.0.pom.sha1
Source344: common-2.1.0.pom
Source345: common-2.1.0-modules.zip.md5
Source346: common-2.1.0-modules.zip.sha1
Source347: common-2.1.0-tests.jar.sha1
Source348: common-2.1.0-tests.jar.md5
Source349: common-2.1.0-sources.jar
Source350: common-2.1.0-sources.jar.md5
Source351: common-2.1.0-modules.zip
Source352: maven-metadata.xml.sha1
Source353: maven-metadata.xml.md5
Source354: maven-metadata.xml
Source355: root-war-2.1.0.war.md5
Source356: root-war-2.1.0.pom
Source357: root-war-2.1.0.pom.md5
Source358: root-war-2.1.0.pom.sha1
Source359: root-war-2.1.0.war.sha1
Source360: root-war-2.1.0.war
Source361: maven-metadata.xml.sha1
Source362: maven-metadata.xml.md5
Source363: maven-metadata.xml
Source364: dependencies-2.1.0-modules.zip
Source365: dependencies-2.1.0.jar.md5
Source366: dependencies-2.1.0-tests.jar.sha1
Source367: dependencies-2.1.0.jar
Source368: dependencies-2.1.0-tests.jar.md5
Source369: dependencies-2.1.0.pom.sha1
Source370: dependencies-2.1.0.pom.md5
Source371: dependencies-2.1.0.jar.sha1
Source372: dependencies-2.1.0.pom
Source373: dependencies-2.1.0-modules.zip.md5
Source374: dependencies-2.1.0-modules.zip.sha1
Source375: dependencies-2.1.0-tests.jar
Source376: maven-metadata.xml.sha1
Source377: maven-metadata.xml.md5
Source378: maven-metadata.xml
Source379: engine-server-ear-2.1.0.ear
Source380: engine-server-ear-2.1.0.pom
Source381: engine-server-ear-2.1.0.ear.sha1
Source382: engine-server-ear-2.1.0.ear.md5
Source383: engine-server-ear-2.1.0.pom.md5
Source384: engine-server-ear-2.1.0.pom.sha1
Source385: maven-metadata.xml.sha1
Source386: maven-metadata.xml.md5
Source387: maven-metadata.xml
Source388: checkstyles-2.1.0.jar.sha1
Source389: checkstyles-2.1.0.pom
Source390: checkstyles-2.1.0.jar.md5
Source391: checkstyles-2.1.0-tests.jar
Source392: checkstyles-2.1.0-tests.jar.sha1
Source393: checkstyles-2.1.0.pom.md5
Source394: checkstyles-2.1.0.jar
Source395: checkstyles-2.1.0.pom.sha1
Source396: checkstyles-2.1.0-tests.jar.md5
Source397: maven-metadata.xml.sha1
Source398: maven-metadata.xml.md5
Source399: maven-metadata.xml
Source400: ovirt-checkstyle-extension-2.1.0.jar.md5
Source401: ovirt-checkstyle-extension-2.1.0.jar
Source402: ovirt-checkstyle-extension-2.1.0.pom.md5
Source403: ovirt-checkstyle-extension-2.1.0-tests.jar.sha1
Source404: ovirt-checkstyle-extension-2.1.0-tests.jar
Source405: ovirt-checkstyle-extension-2.1.0-tests.jar.md5
Source406: ovirt-checkstyle-extension-2.1.0.pom.sha1
Source407: ovirt-checkstyle-extension-2.1.0.pom
Source408: ovirt-checkstyle-extension-2.1.0.jar.sha1
Source409: maven-metadata.xml.sha1
Source410: maven-metadata.xml.md5
Source411: maven-metadata.xml
Source412: root-2.1.0.pom.md5
Source413: root-2.1.0.pom.sha1
Source414: root-2.1.0.pom
Source415: maven-metadata.xml.sha1
Source416: maven-metadata.xml.md5
Source417: maven-metadata.xml
Source418: jboss-modules-maven-plugin-1.0.jar.md5
Source419: jboss-modules-maven-plugin-1.0.jar
Source420: jboss-modules-maven-plugin-1.0-tests.jar.sha1
Source421: jboss-modules-maven-plugin-1.0-tests.jar
Source422: jboss-modules-maven-plugin-1.0.pom.md5
Source423: jboss-modules-maven-plugin-1.0.pom.sha1
Source424: jboss-modules-maven-plugin-1.0.jar.sha1
Source425: jboss-modules-maven-plugin-1.0-tests.jar.md5
Source426: jboss-modules-maven-plugin-1.0.pom

BuildArch:	noarch

BuildRequires:	java-devel
BuildRequires:	jpackage-utils
BuildRequires:	make
%if %{ovirt_require_maven}
BuildRequires:	maven
%endif
BuildRequires:	unzip

Requires:	%{name}-backend = %{version}-%{release}
Requires:	%{name}-cli >= 2.1.2.2-1
Requires:	%{name}-dbscripts = %{version}-%{release}
Requires:	%{name}-restapi = %{version}-%{release}
Requires:	%{name}-tools = %{version}-%{release}
%if !0%{?_rhs_build}
Requires:	%{name}-userportal = %{version}-%{release}
%endif
Requires:	%{name}-webadmin-portal = %{version}-%{release}
%if !0%{?_rhs_build}
Requires:	%{name}-websocket-proxy >= %{version}-%{release}
%endif
Requires:	rhevm-dependencies >= 3.3.4
Requires:	java
Requires:	java-1.7.0-openjdk >= 1:1.7.0.9-2.3.3.2
Requires:	jpackage-utils
%if !0%{?_rhs_build}
Requires:	rhevm-image-uploader >= 3.3.0
Requires:	rhevm-iso-uploader >= 3.3.0
Requires:	rhevm-log-collector >= 3.3.0
%else
Requires:	rhsc-log-collector >= 2.1
%endif
Requires:	postgresql-server >= 8.4.7
Requires:	ws-commons-util
Requires:	yum-plugin-versionlock

%if 0%{?fedora}
%if %{fedora} >= 19
Requires:	apache-commons-compress
Requires:	apache-commons-configuration
Requires:	apache-commons-jxpath
Requires:	apache-sshd
Requires:	jakarta-commons-httpclient
Requires:	objectweb-asm
Requires:	postgresql-jdbc
Requires:	quartz
Requires:	spring-ldap
Requires:	springframework-aop
Requires:	springframework-beans
Requires:	springframework-context
Requires:	springframework-expression
Requires:	springframework-instrument
Requires:	springframework-jdbc
Requires:	springframework-tx
Requires:	xmlrpc-client
%endif
%endif

# We can't require exactly the same version and release of the
# setup package because it needs to be updated independely as part
# of the update process implemented in the engine-upgrade script:
Requires:	%{name}-setup >= %{version}-%{release}

# rhbz#1028966
Conflicts:	java-1.7.0-openjdk = 1:1.7.0.45-2.4.3.3.el6

# We can drop these conflicts when
# we drop Requires: mod_ssl
Conflicts:	freeipa-server
Conflicts:	ipa-server

%if %{ovirt_install_systemd}
BuildRequires:	systemd
%endif

# jboss-eap-6.1.0
Requires:	jbossas-standalone >= 0:7.2.0
Requires:	jbossas-bundles >= 0:7.2.0
Requires:	jbossas-modules-eap >= 0:7.2.0

# misc packages
%if !0%{?_rhs_build}
Requires:	rhev-guest-tools-iso
Requires:	%{name}-spice-client-x64-cab
Requires:	%{name}-spice-client-x64-msi
Requires:	%{name}-spice-client-x86-cab
Requires:	%{name}-spice-client-x86-msi
Requires:	virtio-win >= 1.6.6-1
Requires:	redhat-support-plugin-rhev >= 3.3.0-13
%endif
Requires:	%{name}-doc 

%if !0%{?_rhs_build}
%description
Red Hat Enterprise Virtualization is a feature-rich server virtualization management
system that provides advanced capabilities for managing Red Hat
virtualization infrastructure for Servers and Desktops.
%else
%description
Red Hat Storage Console is a feature-rich storage management
system that provides advanced capabilities for managing Red Hat
storage servers.
%endif

%package lib
Summary:	%{ovirt_product_name_short} library
Group:		%{ovirt_product_group}
Requires:	python-daemon

%description lib
%{ovirt_product_name_short} library

%package backend
Summary:	Engine core of %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-lib >= %{version}-%{release}
Requires:	httpd
Requires:	java
Requires:	logrotate
Requires:	mod_ssl
%if !0%{?_rhs_build}
Requires:	novnc
%endif
Requires:	openssl
Requires:	ovirt-host-deploy-java >= 1.1.2-1
Requires:	python-cheetah
%if !0%{?_rhs_build}
Requires:	spice-html5
Requires:	rhevm-branding-rhev >= 3.3.0-1.2
%endif
%if 0%{?_rhs_build}
Requires:	rhsc-branding-rhs >= 2.1.6
%endif

%if %{ovirt_install_systemd}
Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd
%endif

%pre backend
%ovirt_create_user_engine

%post backend

# ovirt-engine<=3.2 created files at /usr among
# others are the jboss index files.
# we must remove these or application will not start.
# TODO: remove in 3.4
find "%{engine_data}" -name '*.index' -exec rm "{}" \; || true

%if %{ovirt_install_systemd}
%systemd_post ovirt-engine.service

# In 3.2 installations we did not handle postun section correctly.
# It means that the systemd daemon is not reloaded when 3.2 package
# is upgraded. This leads to an 'unstartable' ovirt-engine service
# when we upgrade to 3.3. As such, during the upgrade to 3.3 we need to
# reload the systemd daemon.
# TODO: remove in 3.4
if [ $1 -eq 2 ] ; then
	%systemd_postun
fi
%endif

%preun backend
%if %{ovirt_install_systemd}
%systemd_preun ovirt-engine.service
%endif

%if %{ovirt_install_systemv}
if [ $1 -eq 0 ]; then
	service ovirt-engine stop > /dev/null 2>&1 || true
fi
%endif

%postun backend
%if %{ovirt_install_systemd}
%systemd_postun ovirt-engine.service
%endif

%description backend
The backend engine of %{ovirt_product_name_short}

%package restapi
Summary:	RESTful API for %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}

%description restapi
The RESTful API for %{ovirt_product_name_short}

%post restapi
%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%postun restapi
%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%package setup
Summary:	Setup and upgrade scripts for %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name}
Requires:	%{name}-lib >= %{version}-%{release}
Requires:	bind-utils
Requires:	cracklib-python
Requires:	iproute
Requires:	libselinux-python
Requires:	libxml2-python
Requires:	logrotate
Requires:	m2crypto
Requires:	nfs-utils
Requires:	otopi >= 1.1.2-1
Requires:	policycoreutils-python
Requires:	python-psycopg2
Requires:	yum

# We can drop these conflicts when
# we drop Requires: mod_ssl
# conflict here so we can avoid upgrade
# of setup at this environment, this
# will produce early error.
Conflicts:	ipa-server
Conflicts:	freeipa-server

Requires:	rhevm-setup-plugins >= 3.3.0-2
%if !0%{?_rhs_build}
Requires:	redhat-support-plugin-rhev >= 3.3.0-13
%else
Requires:	redhat-access-plugin-rhsc
%endif

%description setup
Setup and upgrade scripts for %{ovirt_product_name_short}

%pre setup
%ovirt_create_user_vdsm
%ovirt_create_user_engine

%package dbscripts
Summary:	Database scripts for %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}

%description dbscripts
Database scripts for %{ovirt_product_name_short}

%if !0%{?_rhs_build}
%package userportal
Summary:	User Portal of %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}

%description userportal
The user portal interface to %{ovirt_product_name_short}
%endif

%package webadmin-portal
Summary:	Web Admin Portal of %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}

%description webadmin-portal
The web administration interface to %{ovirt_product_name_short}

%package tools
Summary:	%{ovirt_product_name_short} Tools
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-lib >= %{version}-%{release}
Requires:	java
Requires:	logrotate

%if %{ovirt_install_systemd}
Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd
%endif

# Legacy
Obsoletes:	%{name}-config < 3.3.0
Obsoletes:	%{name}-genericapi < 3.3.0
Obsoletes:	%{name}-notification-service < 3.3.0
Obsoletes:	%{name}-tools-common < 3.3.0
Provides:	%{name}-config = %{version}-%{release}
Provides:	%{name}-genericapi = %{version}-%{release}
Provides:	%{name}-notification-service = %{version}-%{release}
Provides:	%{name}-tools-common = %{version}-%{release}

%description tools
%{ovirt_product_name_short} Tools

%pre tools
%ovirt_create_user_engine

%post tools
%if %{ovirt_install_systemd}
%systemd_post ovirt-engine-notifier.service
%endif
%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%postun tools
%if %{ovirt_install_systemd}
%systemd_postun ovirt-engine-notifier.service
%endif
%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%preun tools
%if %{ovirt_install_systemd}
%systemd_preun ovirt-engine-notifier.service
%endif

%if %{ovirt_install_systemv}
if [ $1 -eq 0 ]; then
	service ovirt-engine-notifier stop > /dev/null 2>&1 || true
fi
%endif

%if !0%{?_rhs_build}
%package websocket-proxy
Summary:	%{ovirt_product_name_short} Websocket Proxy
Group:		%{ovirt_product_group}
Requires:	%{name}-lib >= %{version}-%{release}
Requires:	m2crypto
Requires:	python-websockify

%if %{ovirt_install_systemd}
Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd
%endif

%description websocket-proxy
%{ovirt_product_name_short} Websocket Proxy

%pre websocket-proxy
%ovirt_create_user_engine

%post websocket-proxy
%if %{ovirt_install_systemd}
%systemd_post ovirt-websocket-proxy.service
%endif

%postun websocket-proxy
%if %{ovirt_install_systemd}
%systemd_postun ovirt-websocket-proxy.service
%endif

%preun websocket-proxy
%if %{ovirt_install_systemd}
%systemd_preun ovirt-websocket-proxy.service
%endif

%if %{ovirt_install_systemv}
if [ $1 -eq 0 ]; then
	service ovirt-websocket-proxy stop > /dev/null 2>&1 || true
fi
%endif
%endif

%if !0%{?_rhs_build}
%package setup-plugin-allinone
Summary:	All-in-one plugin for %{ovirt_product_name_short}'s setup
Group:		%{ovirt_product_group}
Requires:	%{name}-sdk-python >= 3.3.0.5
Requires:	%{name}-setup >= %{version}-%{release}
Requires:	openssh-server
Requires:	ovirt-host-deploy >= 1.1.2-1
Requires:	ovirt-host-deploy-offline >= 1.1.2-1

%description setup-plugin-allinone
All-in-one plugin for %{ovirt_product_name_short}'s setup
%endif

%prep
# Collect brew/mead binary artifacts
%setup -q -T -b 0 -n rhs-engine

%build
make %{make_common_opts}

%install
rm -fr "%{buildroot}"
make %{make_common_opts} install DESTDIR="%{buildroot}"

#
# /var creation
#
install -dm 755 "%{buildroot}/%{engine_state}"/{deployments,content,setup/answers}
install -dm 755 "%{buildroot}/%{engine_log}"/{host-deploy,setup,notifier,engine-manage-domains,dump}
install -dm 755 "%{buildroot}/%{engine_cache}"
install -dm 755 "%{buildroot}/%{engine_run}/notifier"

#
# Force TLS/SSL for selected applications.
#
%if !0%{?_rhs_build}
wars=("restapi" "userportal" "webadmin")
%else
wars=("restapi" "webadmin")
rm -f %{buildroot}%{engine_etc}/usbfilter.txt
rm -fr %{buildroot}%{engine_ear}/userportal.war
rm -fr %{buildroot}%{engine_etc}/ovirt-websocket-proxy.conf.d
%endif

for war in ${wars[@]}; do
	sed -i \
		's#<transport-guarantee>NONE</transport-guarantee>#<transport-guarantee>CONFIDENTIAL</transport-guarantee>#' \
		"%{buildroot}%{engine_ear}/${war}.war/WEB-INF/web.xml"
done

#
# Move jars to destribution location
#
install -dm 755 "%{buildroot}%{engine_java}"
while read lib_path; do
	java_path="%{engine_java}/$(basename "${lib_path}")"
	mv "%{buildroot}/${lib_path}" "%{buildroot}/${java_path}"
	ln -s "${java_path}" "%{buildroot}${lib_path}"
done << __EOF__
%{engine_ear}/bll.jar
%{engine_ear}/lib/vdsbroker.jar
%{engine_ear}/scheduler.jar
%{engine_jboss_modules}/org/ovirt/engine/core/common/main/common.jar
%{engine_jboss_modules}/org/ovirt/engine/core/compat/main/compat.jar
%{engine_jboss_modules}/org/ovirt/engine/core/dal/main/dal.jar
%{engine_jboss_modules}/org/ovirt/engine/core/searchbackend/main/searchbackend.jar
%{engine_jboss_modules}/org/ovirt/engine/core/tools/main/tools.jar
%{engine_jboss_modules}/org/ovirt/engine/core/utils/main/utils.jar
%{engine_restapi_war}/WEB-INF/lib/interface-common-jaxrs.jar
%{engine_restapi_war}/WEB-INF/lib/restapi-definition.jar
%{engine_restapi_war}/WEB-INF/lib/restapi-jaxrs.jar
%{engine_restapi_war}/WEB-INF/lib/restapi-types.jar
__EOF__

# Needed for compatibility if package is different than the directory structure
%if "%{name}" != "%{engine_name}"
ln -s "%{engine_name}" "%{buildroot}%{engine_java}/../%{name}"
%endif

#
# Register poms
#
%if !%{ovirt_install_poms}
rm -fr "%{buildroot}%{_mavenpomdir}"
%else
for pom in %{buildroot}%{_mavenpomdir}/*.pom; do
	pomdir="$(dirname "${pom}")"
	pom="$(basename "${pom}")"
	jpppom="JPP.${pom}"
	mv "${pomdir}/${pom}" "${pomdir}/${jpppom}"
	artifact_id="$(echo "${pom}" | sed -e 's/^%{name}-//' -e 's/\.pom//')"
	if [ -f "%{buildroot}%{engine_java}/${artifact_id}.jar" ]; then
		%add_maven_depmap "${jpppom}" "%{name}/${artifact_id}.jar"
	else
		%add_maven_depmap "${jpppom}"
	fi
done
%endif

#
# Link dependencies to system provided
#
while read dst src; do
	[ -z "${dst}" ] && continue
	[ -z "${src}" ] && src="$(basename "${dst}")"

	dst="%{engine_jboss_modules}/${dst}"
	src="%{_javadir}/${src}"
	rm -f "%{buildroot}${dst}"
	ln -s "${src}" "%{buildroot}${dst}"
done << __EOF__
org/apache/ws/commons/main/ws-commons-util.jar
org/ovirt/otopi/main/otopi.jar otopi/otopi.jar
org/ovirt/ovirt-host-deploy/main/ovirt-host-deploy.jar ovirt-host-deploy/ovirt-host-deploy.jar
%if 0%{?fedora}
%if %{fedora} >= 19
com/mchange/c3p0/main/c3p0.jar
org/aopalliance/main/aopalliance.jar
org/apache/commons/compress/main/commons-compress.jar
org/apache/commons/configuration/main/commons-configuration.jar commons-configuration.jar
org/apache/commons/httpclient/main/commons-httpclient.jar
org/apache/commons/jxpath/main/commons-jxpath.jar commons-jxpath.jar
org/apache/mina/main/mina-core.jar apache-mina/mina-core.jar
org/apache/xmlrpc/main/xmlrpc-client.jar
org/apache/xmlrpc/main/xmlrpc-common.jar
org/postgresql/main/postgresql.jar postgresql-jdbc.jar
org/quartz/main/quartz.jar
org/springframework/main/spring-aop.jar springframework/spring-aop.jar
org/springframework/main/spring-asm.jar objectweb-asm/asm.jar
org/springframework/main/spring-beans.jar springframework/spring-beans.jar
org/springframework/main/spring-context.jar springframework/spring-context.jar
org/springframework/main/spring-core.jar springframework/spring-core.jar
org/springframework/main/spring-expression.jar springframework/spring-expression.jar
org/springframework/main/spring-instrument.jar springframework/spring-instrument.jar
org/springframework/main/spring-jdbc.jar springframework/spring-jdbc.jar
org/springframework/main/spring-ldap-core.jar spring-ldap/spring-ldap-core.jar
org/springframework/main/spring-tx.jar springframework/spring-tx.jar
org/tukaani/xz/main/xz.jar
%endif
%endif
../engine.ear/webadmin.war/WEB-INF/lib/gwt-servlet.jar rhevm-dependencies/3.3/gwt-servlet.jar
com/mchange/c3p0/main/c3p0.jar rhevm-dependencies/3.3/c3p0.jar
com/woorea/openstack/sdk/main/glance-client.jar rhevm-dependencies/3.3/glance-client.jar
com/woorea/openstack/sdk/main/glance-model.jar rhevm-dependencies/3.3/glance-model.jar
com/woorea/openstack/sdk/main/keystone-client.jar rhevm-dependencies/3.3/keystone-client.jar
com/woorea/openstack/sdk/main/keystone-model.jar rhevm-dependencies/3.3/keystone-model.jar
com/woorea/openstack/sdk/main/openstack-client.jar rhevm-dependencies/3.3/openstack-client.jar
com/woorea/openstack/sdk/main/quantum-client.jar rhevm-dependencies/3.3/quantum-client.jar
com/woorea/openstack/sdk/main/quantum-model.jar rhevm-dependencies/3.3/quantum-model.jar
com/woorea/openstack/sdk/main/resteasy-connector.jar rhevm-dependencies/3.3/resteasy-connector.jar
org/aopalliance/main/aopalliance.jar rhevm-dependencies/3.3/aopalliance.jar
org/apache/commons/compress/main/commons-compress.jar rhevm-dependencies/3.3/commons-compress.jar
org/apache/commons/configuration/main/commons-configuration.jar rhevm-dependencies/3.3/commons-configuration.jar
org/apache/commons/httpclient/main/commons-httpclient.jar rhevm-dependencies/3.3/commons-httpclient.jar
org/apache/commons/jxpath/main/commons-jxpath.jar rhevm-dependencies/3.3/commons-jxpath.jar
org/apache/mina/main/mina-core.jar rhevm-dependencies/3.3/mina-core.jar
org/apache/sshd/main/sshd-core.jar rhevm-dependencies/3.3/sshd-core.jar
org/apache/xmlrpc/main/xmlrpc-client.jar rhevm-dependencies/3.3/xmlrpc-client.jar
org/apache/xmlrpc/main/xmlrpc-common.jar rhevm-dependencies/3.3/xmlrpc-common.jar
org/postgresql/main/postgresql.jar rhevm-dependencies/3.3/postgresql-jdbc.jar
org/quartz/main/quartz.jar rhevm-dependencies/3.3/quartz.jar
org/springframework/main/spring-aop.jar rhevm-dependencies/3.3/spring-aop.jar
org/springframework/main/spring-asm.jar rhevm-dependencies/3.3/spring-asm.jar
org/springframework/main/spring-beans.jar rhevm-dependencies/3.3/spring-beans.jar
org/springframework/main/spring-context.jar rhevm-dependencies/3.3/spring-context.jar
org/springframework/main/spring-core.jar rhevm-dependencies/3.3/spring-core.jar
org/springframework/main/spring-expression.jar rhevm-dependencies/3.3/spring-expression.jar
org/springframework/main/spring-instrument.jar rhevm-dependencies/3.3/spring-instrument.jar
org/springframework/main/spring-jdbc.jar rhevm-dependencies/3.3/spring-jdbc.jar
org/springframework/main/spring-ldap-core.jar rhevm-dependencies/3.3/spring-ldap-core.jar
org/springframework/main/spring-tx.jar rhevm-dependencies/3.3/spring-tx.jar
org/tukaani/xz/main/xz.jar rhevm-dependencies/3.3/xz.jar
__EOF__

#
# Register services
#
%if !0%{?_rhs_build}
servicelist=(ovirt-engine ovirt-engine-notifier ovirt-websocket-proxy)
%else
servicelist=(ovirt-engine ovirt-engine-notifier)
rm -fr %{buildroot}%{engine_data}/services/ovirt-websocket-proxy
%endif

%if %{ovirt_install_systemd}
install -dm 755 "%{buildroot}%{_unitdir}"
for service in ${servicelist[@]}; do
	cp "%{buildroot}%{engine_data}/services/${service}/${service}.systemd" "%{buildroot}%{_unitdir}/${service}.service"
done
%endif

%if %{ovirt_install_systemv}
install -dm 755 "%{buildroot}%{_initddir}"
for service in ${servicelist[@]}; do
	cp "%{buildroot}%{engine_data}/services/${service}/${service}.sysv" "%{buildroot}%{_initddir}/${service}"
done
%endif

#
# Package customization
#
install -d "%{buildroot}%{_sysconfdir}/ovirt-engine-setup.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine-setup.conf.d/10-packaging.conf" << __EOF__
[environment:default]
OVESETUP_APACHE/configureRootRedirectionDefault=bool:True
OVESETUP_CONFIG/jbossHome=str:/usr/share/jbossas
OVESETUP_CONFIG/validFirewallManagers=str:iptables
__EOF__
%if !0%{?_rhs_build}
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine-setup.conf.d/10-packaging-aio.conf" << __EOF__
[environment:default]
OVESETUP_AIO/enable=bool:True
__EOF__
install -d "%{buildroot}%{_sysconfdir}/ovirt-host-deploy.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-host-deploy.conf.d/10-packaging-aio.conf" << __EOF__
[environment:default]
VDSM/disableNetworkManager=bool:False
__EOF__
%else
rm -fr %{buildroot}%{engine_data}/firewalld/aio
#fix bz#1040960
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine-setup.conf.d/20-rhsc-packaging.conf" << __EOF__
[environment:default]
OVESETUP_SYSTEM/configureRedhatSupportPlugin=bool:False
__EOF__
%endif

ln -s /usr/share/spice "%{buildroot}%{engine_data}/files/spice"

#
# backward compatibly (pre-3.3.0)
# force rpm not to remove config files
# as these used to be %config
# these files are created empty in order to mark
# them as %ghost
#
touch "%{buildroot}%{engine_etc}/engine.conf"
touch "%{buildroot}%{engine_etc}/notifier/notifier.conf"
touch "%{buildroot}%{engine_pki}/cacert.template"
touch "%{buildroot}%{engine_pki}/cert.template"
touch "%{buildroot}%{engine_pki}/database.txt"
touch "%{buildroot}%{engine_pki}/serial.txt"
install -d "%{buildroot}%{_sysconfdir}/firewalld/services"
touch "%{buildroot}%{_sysconfdir}/firewalld/services/ovirt.xml"

#
# unsign ear
# see rhbz#1019637
# copied from redhat-rpm-config::brp-jboss-sign-jars::unsign_jarfile
#
rm -f "%{buildroot}%{engine_ear}/META-INF"/*.{DSA,RSA,SF}
perl -i -pe 'BEGIN{undef $/;} s/Name: [^\n]+\n( [^\n]+\n)*([^\s]+-Digest: [^\n]+\n(\s)?)+(Magic: [^\n]+\n)?\n//mgs' "%{buildroot}%{engine_ear}/META-INF/MANIFEST.MF"
perl -i -pe 's/^SHA1-Digest: [^\n]+\n//g' "%{buildroot}%{engine_ear}/META-INF/MANIFEST.MF"

#
# Branding
#
# this cannot be at rhevm-branding-rhev as
# required for %{name}-setup for example and because
# of versionlock we will have conflicts with previous
ln -sf ovirt-engine "%{buildroot}%{_sysconfdir}/%{name}"
for f in setup upgrade check-update cleanup config manage-domains; do
	ln -sf "engine-${f}" "%{buildroot}%{_bindir}/%{name}-${f}"
done
for n in setup config manage-domains; do
	echo ".so man8/engine-${n}.8" > "%{buildroot}%{_mandir}/man8/%{name}-${n}.8"
	chmod 0644 "%{buildroot}%{_mandir}/man8/%{name}-${n}.8"
done

# fix bz#1017653
%if 0%{?_rhs_build}
ln -fs engine-upgrade-check %{buildroot}%{_bindir}/%{name}-upgrade-check
%endif

%preun
if [ "$1" -eq 0 ]; then
	#
	# backup pki dir into the backup dir with current date
	#
	if [ -d "%{engine_pki}" ]; then
		dest="%{engine_pki}/../%{engine_name}-backups/%{engine_name}-$(date +"%%Y%%m%%d%%H%%M%%S")"
		mkdir -p "${dest}"
		cp -pR "%{engine_pki}" "${dest}"
	fi
fi

%post
%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%postun
if [ "$1" -eq 0 ]; then
	rm -rf "%{engine_cache}"
	rm -rf "%{engine_pki}"

	if [ -f "%{_sysconfdir}/yum/pluginconf.d/versionlock.list" ]; then
		sed -i '/%{name}/d' "%{_sysconfdir}/yum/pluginconf.d/versionlock.list"
	fi
fi
%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%pre
%ovirt_create_user_engine

%files

%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_cache}
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_log}
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_log}/dump
%dir %{engine_data}
%dir %{engine_data}/bin
%dir %{engine_data}/branding
%dir %{engine_data}/conf
%dir %{engine_data}/engine.ear
%dir %{engine_data}/services
%dir %{engine_etc}
%dir %{engine_etc}/branding
%dir %{engine_java}
%doc LICENSE
%ghost %config(noreplace) %{engine_etc}/engine.conf
%{engine_data}/branding/ovirt.brand/
%{engine_etc}/branding/00-ovirt.brand
%{engine_etc}/engine.conf.d/
%{engine_java}/common.jar
%{engine_java}/compat.jar
%{engine_java}/utils.jar

#
# ATTENTION:
# Needed for compatibility if package is different
# than the directory structure
#
%if "%{name}" != "%{engine_name}"
%{_javadir}/%{name}
%endif

%if %{ovirt_install_poms}
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP.%{name}-root.pom
%{_mavenpomdir}/JPP.%{name}-common.pom
%{_mavenpomdir}/JPP.%{name}-compat.pom
%{_mavenpomdir}/JPP.%{name}-utils.pom
%endif

# Branding
%{_sysconfdir}/%{name}

%files lib
%{engine_data}/bin/java-home
%{python_sitelib}/ovirt_engine/

%files backend

%attr(-, %{engine_user}, %{engine_group}) %{engine_log}/host-deploy
%attr(-, %{engine_user}, %{engine_group}) %{engine_state}/content
%attr(-, %{engine_user}, %{engine_group}) %{engine_state}/deployments
%config %{_sysconfdir}/logrotate.d/ovirt-engine
%config(noreplace) %{engine_etc}/sysprep
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_state}
%dir %{engine_data}/bin
%dir %{engine_data}/ui-plugins
%dir %{engine_ear}
%{engine_data}/conf/osinfo-defaults.properties
%{engine_data}/files/
%{engine_data}/manual/
%{engine_ear}/META-INF
%{engine_ear}/bll.jar
%{engine_ear}/lib
%{engine_ear}/root.war
%{engine_ear}/scheduler.jar
%{engine_etc}/osinfo.conf.d/
%{engine_java}/bll.jar
%{engine_java}/dal.jar
%{engine_java}/scheduler.jar
%{engine_java}/searchbackend.jar
%{engine_java}/vdsbroker.jar
%{engine_jboss_modules}/

%{engine_data}/services/ovirt-engine
%if %{ovirt_install_systemd}
%{_unitdir}/ovirt-engine.service
%endif
%if %{ovirt_install_systemv}
%{_initddir}/ovirt-engine
%endif

%if %{ovirt_install_poms}
%{_mavenpomdir}/JPP.%{name}-backend.pom
%{_mavenpomdir}/JPP.%{name}-manager.pom
%{_mavenpomdir}/JPP.%{name}-manager-modules.pom
%{_mavenpomdir}/JPP.%{name}-tools.pom
%{_mavenpomdir}/JPP.%{name}-bll.pom
%{_mavenpomdir}/JPP.%{name}-dal.pom
%{_mavenpomdir}/JPP.%{name}-scheduler.pom
%{_mavenpomdir}/JPP.%{name}-searchbackend.pom
%{_mavenpomdir}/JPP.%{name}-vdsbroker.pom
%endif

#
# PKI
#
# Most directories are owned by the engine user because
# it needs to create files inside
#
%config(noreplace) %{engine_pki}/cacert.template.in
%config(noreplace) %{engine_pki}/cert.template.in
%config(noreplace) %{engine_pki}/openssl.conf
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_pki}
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_pki}/certs
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_pki}/private
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_pki}/requests
%dir %{engine_pki}/keys
%{engine_data}/bin/pki-common.sh
%{engine_data}/bin/pki-create-ca.sh
%{engine_data}/bin/pki-enroll-pkcs12.sh
%{engine_data}/bin/pki-enroll-request.sh
%{engine_data}/bin/pki-pkcs12-extract.sh

# backward compatibly (pre-3.3.0)
# force rpm not to remove pki files
# as these used to be %config
%ghost %config(noreplace) %{engine_pki}/cacert.template
%ghost %config(noreplace) %{engine_pki}/cert.template
%ghost %config(noreplace) %{engine_pki}/database.txt
%ghost %config(noreplace) %{engine_pki}/serial.txt

%files setup

%config %{_sysconfdir}/logrotate.d/ovirt-engine-setup
%config %{_sysconfdir}/ovirt-engine-setup.conf.d/10-packaging.conf
%config %{_sysconfdir}/ovirt-engine-setup.conf.d/20-rhsc-packaging.conf
%dir %{engine_data}/firewalld
%dir %{engine_log}/setup
%{_bindir}/engine-backup
%{_bindir}/engine-cleanup
%{_bindir}/engine-setup
%{_bindir}/engine-upgrade-check
# fix bz#1017653
%if 0%{?_rhs_build}
%{_bindir}/%{name}-upgrade-check
%endif
%{_mandir}/man8/engine-cleanup.*
%{_mandir}/man8/engine-setup.*
%{engine_data}/bin/engine-backup.sh
%{engine_data}/bin/ovirt-engine-log-setup-event.sh
%{engine_data}/conf/iptables.default.in
%{engine_data}/conf/nfs.sysconfig.in
%{engine_data}/conf/ovirt-engine-proxy.conf.v2.in
%{engine_data}/conf/ovirt-engine-root-redirect.conf.in
%{engine_data}/firewalld/base/
%{engine_data}/setup/
%{engine_state}/backups/
%{engine_state}/setup/

# backward compatibility
%ghost %config(noreplace) %{_sysconfdir}/firewalld/services/ovirt.xml

# Legacy
# TODO: remove in 3.4
# fix bz#1017653
%if !0%{?_rhs_build}
%{_bindir}/engine-check-update
%{_bindir}/engine-upgrade
%{engine_data}/bin/engine-check-update.sh
%{engine_data}/bin/engine-upgrade.sh
%else
%exclude %{_bindir}/engine-check-update
%exclude %{_bindir}/engine-upgrade
%exclude %{engine_data}/bin/engine-check-update.sh
%exclude %{engine_data}/bin/engine-upgrade.sh
%endif

# Branding
%{_bindir}/%{name}-setup
%{_bindir}/%{name}-upgrade
%{_bindir}/%{name}-check-update
%{_bindir}/%{name}-cleanup
%{_mandir}/man8/%{name}-setup.*

%if !0%{?_rhs_build}
%files setup-plugin-allinone

%config %{_sysconfdir}/ovirt-engine-setup.conf.d/10-packaging-aio.conf
%config %{_sysconfdir}/ovirt-host-deploy.conf.d/10-packaging-aio.conf
%{engine_data}/firewalld/aio
%endif

%files dbscripts

%{engine_data}/dbscripts/

%files restapi

%{engine_java}/interface-common-jaxrs.jar
%{engine_java}/restapi-definition.jar
%{engine_java}/restapi-jaxrs.jar
%{engine_java}/restapi-types.jar
%{engine_restapi_war}/

%if %{ovirt_install_poms}
%{_mavenpomdir}/JPP.%{name}-interface-common-jaxrs.pom
%{_mavenpomdir}/JPP.%{name}-restapi-definition.pom
%{_mavenpomdir}/JPP.%{name}-restapi-jaxrs.pom
%{_mavenpomdir}/JPP.%{name}-restapi-parent.pom
%{_mavenpomdir}/JPP.%{name}-restapi-types.pom
%endif

%if !0%{?_rhs_build}
%files userportal

%config %{engine_etc}/usbfilter.txt
%{engine_ear}/userportal.war
%endif

%files webadmin-portal

%{engine_ear}/webadmin.war

%if !0%{?_rhs_build}
%files websocket-proxy

%{engine_data}/services/ovirt-websocket-proxy
%{engine_etc}/ovirt-websocket-proxy.conf.d/

%if %{ovirt_install_systemd}
%{_unitdir}/ovirt-websocket-proxy.service
%endif
%if %{ovirt_install_systemv}
%{_initddir}/ovirt-websocket-proxy
%endif
%endif

%files tools

%config %{_sysconfdir}/logrotate.d/ovirt-engine-notifier
%config %{engine_etc}/notifier/log4j.xml
%config(noreplace) %{engine_etc}/engine-config/engine-config.conf
%config(noreplace) %{engine_etc}/engine-manage-domains/engine-manage-domains.conf
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_log}/notifier
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_run}/notifier
%dir %{engine_etc}/engine-config
%dir %{engine_etc}/engine-manage-domains
%dir %{engine_etc}/notifier
%ghost %config(noreplace) %{engine_etc}/notifier/notifier.conf
%{_bindir}/engine-config
%{_bindir}/engine-manage-domains
%{_mandir}/man8/engine-config.*
%{_mandir}/man8/engine-manage-domains.*
%{engine_data}/bin/engine-config.sh
%{engine_data}/bin/engine-manage-domains.sh
%{engine_data}/bin/engine-prolog.sh
%{engine_data}/conf/jaas.conf
%{engine_data}/services/ovirt-engine-notifier
%{engine_etc}/engine-config/engine-config.*properties
%{engine_etc}/engine-config/log4j.xml
%{engine_etc}/engine-manage-domains/log4j.xml
%{engine_etc}/notifier/notifier.conf.d/
%{engine_java}/tools.jar

%if %{ovirt_install_poms}
%{_mavenpomdir}/JPP.%{name}-tools.pom
%endif

%if %{ovirt_install_systemd}
%{_unitdir}/ovirt-engine-notifier.service
%endif
%if %{ovirt_install_systemv}
%{_initddir}/ovirt-engine-notifier
%endif

# Branding
%{_bindir}/%{name}-config
%{_bindir}/%{name}-manage-domains
%{_mandir}/man8/%{name}-config.*
%{_mandir}/man8/%{name}-manage-domains.*

%changelog
* Fri Dec 19 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 2.1.6
- Increasing the release version to 2.1.6

* Tue Dec 16 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 2.1.2
- Fixed bz#1144456

* Wed Oct 08 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 2.1.2
- Bumped dependency version of rhsc-branding-rhs to 2.1.6

* Tue Sep 02 2014 Shubhendu Ram Tripathi <shtripat@redhat.com> - 2.1.2
- Fixed bz#1135082

* Wed Aug 13 2014 Sahina Bose <sabose@redhat.com> - 2.1.2
- Bumped dependency version on rhsc-branding-rhs to 2.1.5

* Tue Aug 12 2014 Shubhendu Ram Tripathi <shtripat@redhat.com> - 2.1.2
- Fixed bz#1093824 - yum update broken for RHS-C

* Fri Jul 11 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 2.1.2
- Fixed bz#1114894 - RHSC 2.1 to 3 upgrade package

* Tue Feb 4 2014 Sahina Bose <sabose@redhat.com> - 2.1.2
- Fixed async task monitoring bug BZ#1060138

* Tue Oct 22 2013 Sahina Bose <sabose@redhat.com> - 2.1.2
- Changed version to 2.1.2 for RHSC Corbett release

* Thu Jan 17 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.3.0-1
- Bump version to 3.3.0

* Fri Nov 02 2012 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0-1
- Bump version to 3.2.0

* Mon May 07 2012 Keith Robertson <kroberts@redhat.com> - 3.1.0-3
- Removed image uploader, iso uploader, and log collector from this
  git repo.  The are now in their own respective ovirt.org git
  repos. BZ#803240.

* Wed Apr 04 2012 Stephen Gordon <sgordon@redhat.com> - 3.1.0-2
- The ovirt-engine spec file did not previously contain a BuildRequires
  statement for the maven package. As a result in mock environments the
  build failed with an error when attempting to call the 'mvn' binary -
  BZ#807761.

* Wed Jan 04 2012 Ronen Angluste <ranglust@redhat.com> - 3.1.0-1
- Adjust code for Jboss AS 7.1

* Sun Dec 11 2011 Ronen Angluster <ranglust@redhat.com> - 3.1.0-1
- Moved all hard coded paths to macros

* Wed Oct 26 2011 Ronen Angluster <ranglust@redhat.com> - 3.1.0-1
- Initial build
- Cloned from RHEVM spec file
